<ion-content>
<ion-header >
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button  defaultHref="/"></ion-back-button>
    </ion-buttons>
    <ion-title>Saisir une note</ion-title>
  </ion-toolbar>
</ion-header>

<div class="visiteur">
  Identifiant visiteur : <span>{{visiteur}}</span>
</div>

<ion-accordion-group value="forfait">
  <ion-accordion>
    <ion-item class="item-content" slot="header">
      <ion-label>Frais forfaitisés</ion-label>
    </ion-item>

    <ion-list slot="content">
      <ion-item>
        <ion-label position="floating">Forfait étape</ion-label>
        <ion-input inputmode="number" type="number" min="0" [(ngModel)]="elemForfait.etape" [readonly]="readonly"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Frais kilométrique</ion-label>
        <ion-input type="number" [(ngModel)]="elemForfait.kilometre" [readonly]="readonly"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Nuitée hôtel</ion-label>
        <ion-input type="number" [(ngModel)]="elemForfait.nuit" [readonly]="readonly"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Repas restaurant</ion-label>
        <ion-input type="number" [(ngModel)]="elemForfait.repas" [readonly]="readonly"></ion-input>
      </ion-item>
    </ion-list>
  </ion-accordion>
</ion-accordion-group>

<ion-accordion-group value="horsforfait">
  <ion-accordion value="colors">
    <ion-item class="item-content" slot="header">
      <ion-label>Frais hors forfait</ion-label>
    </ion-item>

    <ion-list slot="content">
      <ion-item>
        <ion-label>Date</ion-label>
        <ion-input type="date" [(ngModel)]="elemHorsForfait.date" [readonly]="readonly"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Libellé</ion-label>
        <ion-input type="text" [(ngModel)]="elemHorsForfait.libelle" [readonly]="readonly"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Montant</ion-label>
        <span slot="end">&nbsp;€</span>
        <ion-input type="number" [(ngModel)]="elemHorsForfait.montant" [readonly]="readonly"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Nb de justificatifs</ion-label>
        <ion-input type="number" [(ngModel)]="elemFiche.nbJustificatifs" [readonly]="readonly"></ion-input>
      </ion-item>
    </ion-list>
  </ion-accordion>
</ion-accordion-group>

<div *ngIf="authentService.isComptable()">
  <ion-item id="etat">
    <ion-label>État</ion-label>
    <ion-select class="" [placeholder]="getLibelleEtat()"  [(ngModel)]="elemFiche.idEtat">
      <ion-select-option value="CL">Clôturée</ion-select-option>
      <ion-select-option value="VA">Validée, mise en paiement</ion-select-option>
      <ion-select-option value="RB">Remboursée</ion-select-option>
    </ion-select>
  </ion-item>
</div>

<ion-button color="gsb" (click)="sauvegarde()">Enregistrer</ion-button>

<h4>Montant dû : {{getMontantTotal() | number:'1.2-2':'fr'}} €</h4>
<ion-grid>
  <ion-row class="">
    <ion-col class="title col-5">Type</ion-col>
    <ion-col class="title col-3">Qte</ion-col>
    <ion-col class="title col-4">Total</ion-col>
  </ion-row>
  <ion-row class="">
    <ion-col class="col-5 px-2 py-3">Étape</ion-col>
    <ion-col class="col-3 px-2 py-3">{{ elemForfait.etape}}</ion-col>
    <ion-col class="col-4 px-2 py-3">{{ montantEtape  | number:'1.2-2':'fr'}} €</ion-col>
  </ion-row>
  <ion-row class="">
    <ion-col class="col-5 px-2 py-3">Kilométrique</ion-col>
    <ion-col class="col-3 px-2 py-3">{{ elemForfait.kilometre}}</ion-col>
    <ion-col class="col-4 px-2 py-3">{{ montantKm  | number:'1.2-2':'fr'}} €</ion-col>
  </ion-row>
  <ion-row class="">
    <ion-col class="col-5 px-2 py-3">Nuitées hôtel</ion-col>
    <ion-col class="col-3 px-2 py-3">{{ elemForfait.nuit}}</ion-col>
    <ion-col class="col-4 px-2 py-3">{{ montantNuit  | number:'1.2-2':'fr'}} €</ion-col>
  </ion-row>
  <ion-row class="">
    <ion-col class="col-5 px-2 py-3">Repas</ion-col>
    <ion-col class="col-3 px-2 py-3">{{ elemForfait.repas}}</ion-col>
    <ion-col class="col-4 px-2 py-3">{{ montantRepas  | number:'1.2-2':'fr'}} €</ion-col>
  </ion-row>
  <ion-row class="">
    <ion-col class="col-5 px-2 py-3">Hors forfait</ion-col>
    <ion-col class="col-3 px-2 py-3"></ion-col>
    <ion-col class="col-4 px-2 py-3">{{ elemHorsForfait.montant  | number:'1.2-2':'fr'}} €</ion-col>
  </ion-row>
  <ion-row class="">
    <ion-col class="title col-5 px-2 py-3">Montant total</ion-col>
    <ion-col class="col-3 px-2 py-3"> </ion-col>
    <ion-col class="title col-4 px-2 py-3">{{ getMontantTotal() | number:'1.2-2':'fr' }} €</ion-col>
  </ion-row>
</ion-grid>
</ion-content>

<ion-footer>
  <div>
    <ion-fab class="fab" vertical="bottom" horizontal="end" slot="fixed">
   <ion-fab-button *ngIf="!this.authentService.isComptable()" color="gsb" (click)="this.newNote()">
     <ion-icon name="add-outline"></ion-icon>
   </ion-fab-button>
  
   <ion-fab-button color="gsb" (click)="this.logout()">
     <ion-icon name="log-out-outline"></ion-icon>
   </ion-fab-button>
  </ion-fab>
  </div>
</ion-footer>